
#Saves Ready Players Amount.
execute store result score ready ready run clear @a[tag=player,tag=spawn] jack_o_lantern 0
scoreboard players operation ready2 ready = ready ready



#Saves Not Ready Players Amount.
execute store result score nready ready run clear @a[tag=player,tag=spawn] carved_pumpkin 0
scoreboard players operation nready2 ready = nready ready



#Saves Total Players.
execute store result score total ready run scoreboard players operation ready2 ready += nready2 ready



#Displays Ready/Total Players.
title @a actionbar [{"text":"Ready: ","color":"gold","bold":"true"},{"score":{"name":"ready","objective":"ready"}},{"text":"/"},{"score":{"name":"total","objective":"ready"}}]



#Resets Score Loop.
execute as @a[tag=player,tag=spawn,scores={ready=2}] at @s run scoreboard players set @s ready 0



#Gives Spectators/Players Their Item.
replaceitem entity @a[tag=spawn,tag=spec] hotbar.0 light_gray_wool{display:{Name:'{"text":"Spectator","color":"gray","bold":true,"italic":false}'}}
replaceitem entity @a[tag=spawn,tag=spec] hotbar.8 air
replaceitem entity @a[tag=spawn,team=red] hotbar.0 red_wool{display:{Name:'{"text":"Team Red","color":"dark_red","bold":true,"italic":false}'}}
replaceitem entity @a[tag=spawn,team=white] hotbar.0 white_wool{display:{Name:'{"text":"Team White","color":"white","bold":true,"italic":false}'}}
replaceitem entity @a[tag=spawn,team=purple] hotbar.0 purple_wool{display:{Name:'{"text":"Team Purple","color":"dark_purple","bold":true,"italic":false}'}}
replaceitem entity @a[tag=spawn,team=black] hotbar.0 black_wool{display:{Name:'{"text":"Team Black","color":"black","bold":true,"italic":false}'}}



#Gives Players Their Ready Item.
replaceitem entity @a[tag=player,tag=spawn,scores={ready=0}] hotbar.8 carved_pumpkin{display:{Name:'{"text":"Drop when Ready","color":"gold","bold":true,"italic":false}',Lore:['[{"text":"Press \\"","color":"gold","bold":false,"italic":false},{"keybind":"key.drop","color":"gold","bold":false,"italic":false},{"text":"\\" when ready.","color":"gold","bold":false,"italic":false}]']}}
#Not Ready
replaceitem entity @a[tag=player,tag=spawn,scores={ready=1}] hotbar.8 jack_o_lantern{display:{Name:'{"text":"Drop if Not Ready","color":"gold","bold":true,"italic":false}',Lore:['[{"text":"Press \\"","color":"gold","bold":false,"italic":false},{"keybind":"key.drop","color":"gold","bold":false,"italic":false},{"text":"\\" if not ready.","color":"gold","bold":false,"italic":false}]']}}



#Adds/Removes Respective Tags (ready/nready).
execute as @a[tag=player,tag=spawn] at @s if entity @s[nbt={Inventory:[{id:"minecraft:carved_pumpkin"}]}] run tag @s add nready
execute as @a[tag=player,tag=spawn] at @s if entity @s[nbt={Inventory:[{id:"minecraft:carved_pumpkin"}]}] run tag @s remove ready

execute as @a[tag=player,tag=spawn] at @s if entity @s[nbt={Inventory:[{id:"minecraft:jack_o_lantern"}]}] run tag @s add ready
execute as @a[tag=player,tag=spawn] at @s if entity @s[nbt={Inventory:[{id:"minecraft:jack_o_lantern"}]}] run tag @s remove nready



#Disables/Enables Start Sign + Particles.
execute if entity @a[tag=spawn,tag=player,nbt={Inventory:[{id:"minecraft:carved_pumpkin"}]}] if score start data matches 0 as @e[tag=startsign] at @s run setblock ~ ~ ~ air

execute unless entity @a[tag=spawn,tag=player,nbt={Inventory:[{id:"minecraft:carved_pumpkin"}]}] if score start data matches 0 as @e[tag=startsign] at @s run setblock ~ ~ ~ dark_oak_sign[rotation=3]{Text1:'{"text":"-=-","color":"gold"}',Text2:'{"text":"Start","color":"gold","bold":true}',Text3:'[{"text":"[","color":"gold"},{"text":"Right Click","color":"gold","bold":true},{"text":"]"}]',Text4:'{"text":"-=-","color":"gold","clickEvent":{"action":"run_command","value":"/scoreboard players set start data 140"}}'} replace

execute unless entity @a[tag=spawn,tag=player,nbt={Inventory:[{id:"minecraft:carved_pumpkin"}]}] if score start data matches 0 run particle minecraft:dust 1.000 0.502 0.122 0.8 4.7 103.5 -1.7 0.1 0.3 0.1 1 5
